Draft Move/jp

From FreeCAD Documentation
Jump to navigation Jump to search

Draft Move.svg {{{Name/jp}}}

メニュー位置
Draft -> Move
ワークベンチ
製図, 建築
デフォルトのショートカット
M V
参照
None


説明

Moveツールは選択されているオブジェクトを現在の作業平面の一点から別の点へ移動またはコピーします。選択されているオブジェクトが無い場合はオブジェクトを選択するよう促されます。

Draft Move example.jpg

使用方法

  1. 移動またはコピーしたいオブジェクトを選択します
  2. Draft Move.png Draft Moveボタンを押すか、Mキーを押した後でVキーを押します。
  3. 3Dビュー上で一つ目の点をクリックするか、座標を入力します
  4. 3Dビュー上で二つ目の点をクリックするか、座標を入力します

オプション

  • 点を指定した後でXY、またはZを押すと次の点を指定した軸上に拘束できます。
  • 手入力で座標を指定する場合は各X、Y、Z成分を数値で入力してからENTERを押してください。
  • Rを押すか、チェックボックスをクリックしてRelativeボタンのチェック/非チェックを切り替えてください。相対(Relative)モードがオンの場合、二つ目の点の座標は一つ目の点に対する相対値として扱われ、オフの場合は二つとも原点(0,0,0)からの絶対座標として扱われます。
  • Tキーを押すかContinueボタンのチェックボックスをクリックしてチェック/非チェックを切り替えてください。継続モードがオンの場合は処理の終了後にMoveツールが再開され、再度Moveボタンを押さずに続けてオブジェクトの移動やコピーができます。
  • ALTCを押すか、Copyボタンをクリックするとオブジェクトを移動する代わりにオブジェクトのコピーが行われます。二つ目の点をクリックした後でALTを押したままにするとALTを離すまでの間、さらにコピーを行うことができます。
  • 描画中にCTRLキーを押すと距離と無関係に最も近いスナップ位置に操作点をスナップすることができます。
  • 描画中にSHIFTキーを押すと最後に入力した点に対して水平方向、垂直方向に次の点を拘束することができます。
  • 現在のコマンドを中断するにはESCキーまたはCancelボタンを押します。

スクリプト処理

以下の関数を使うことでマクロとPythonコンソールからMoveツールを使用することが可能です。

move (FreeCAD.Object or list, Vector, [copymode]) : 指定されたオブジェクト、または指定されたリストに格納された
複数のオブジェクトを指定されたベクトルの表す距離と方向に移動させます。copymodeがTrueの場合、オブジェクトは移動せず、
代わりにコピーが作成されます。指定されたオブジェクト(複数の場合もあり)が返されます(copymodeがTrueの場合はオブジェクトのコピーが返されます)

例:

import FreeCAD,Draft
Draft.move(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,2,0))
ご利用可能な言語: Flag-en.jpg Flag-es.jpg Flag-fr.jpg Flag-it.jpg